
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.LR
{
    /// <summary>
    /// 法律识别需求类别
    /// </summary>
    [Description("法律识别需求类别")]
    public class T_LR_DEMAND_TYPE : MesEntityBase
    {
        /// <summary>
        /// 法律法规需求识别表
        /// </summary>
        [Description("法律法规需求识别表")]
        [DataFieldForeignKey("Nav_DemandDistinguish", "Nav_DemandTypes")]
        public Guid DISTINGUISH_ID { get; set; }
        /// <summary>
        /// 导航：法律法规需求识别表
        /// </summary>
        [Description("导航：法律法规需求识别表")]
        public T_LR_DEMAND_DISTINGUISH Nav_DemandDistinguish { get; set; }
        /// <summary>
        /// 需求类别表
        /// </summary>
        [Description("需求类别表")]
        [DataFieldForeignKey("Nav_DemandType")]
        [FormFieldEdit]
        public Guid DEMANDTYPE_ID { get; set; }
        /// <summary>
        /// 导航：需求类别表
        /// </summary>
        [Description("导航：需求类别表")]
        public T_LR_LAW_TYPE Nav_DemandType { get; set; }
    }
}
